<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_a7526e8736d966fe53806d9400194a" . "23" => base64_decode("Y2hlY2tlZF9vdXRfdG8" . "="), "_6e38cb9e043a07cd69a1711a6704" . "c62a" => base64_decode("cGFyZW50X" . "2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckoutDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedOutTo()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a7526e8736d966fe53806d9400" . "194a23"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_6e38cb9e043a07cd69a1711a6" . "704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}